Download it now!
Bug 53146 - Proper Function Capitalizes Letters After Apostrophe
Summary: Proper Function Capitalizes Letters After Apostrophe
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 53215 (view as bug list)
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2012-08-05 20:24 UTC by Nigel Thorpe
Modified: 2018-07-25 02:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nigel Thorpe 2012-08-05 20:24:10 UTC
Problem description: Use of the 'Proper' function causes capitalisation of the letter following an apostrophe. E.g. 'don't' becomes 'Don'T' etc etc which is, of course, incorrect.

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20100101 Firefox/14.0.1
Comment 1 Urmas 2012-08-05 23:34:40 UTC
Cannot reproduce with both ' and ’ (U+2019).
Comment 2 Markus Mohrhard 2012-08-11 18:35:57 UTC
*** Bug 53215 has been marked as a duplicate of this bug. ***
Comment 3 Joel Madero 2012-10-03 15:22:55 UTC
I was able to confirm. Marking as NEW, prioritizing relatively high because it looks bad for LibO and could affect a lot of users.

LibO Version: 3.6.1.2 (Build ID: e29a214)
US localization (not sure if imortant)

Also confirmed that another user from the mailing list is experiencing this problem.
Comment 4 Joel Madero 2012-10-03 15:47:07 UTC
Also confirmed that this is a problem with MS Excel, so the patch may need to also take into account what happens when we import
Comment 5 Markus Mohrhard 2012-10-03 15:51:00 UTC
ATM I would not solve this bug report. Gnumeric and Excel behave the same way and OpenFromula contains a comment that this is underspecified.

https://www.oasis-open.org/committees/download.php/16826/openformula-spec-20060221.html#PROPER

We should wait here and have a look at the result of the OpenFormula specification changes.
Comment 6 Mat M 2012-10-03 21:04:14 UTC
I think it depends of the locale, the language and the density of occurences. In french, the sentence "ce n'est pas l'heure" will be "Ce N'Est Pas L'Heure", which is correct and expected.
And if you consider people names like "jean d'ormesson", the behaviour is correct.

I think the occurence of a name having an apostrophe before one letter is rare, although in english music titles, there could be more.

I think there was a trade-off here that this function will more target people names rather than music titles :)

HTH
Comment 7 QA Administrators 2015-01-05 17:52:40 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2016-01-17 20:05:42 UTC Comment hidden (obsolete)
Comment 9 Justin L 2017-02-03 08:39:44 UTC
For the benefit of people like me who skip by most of the header information: this is a calc bug, referring to a cell formula something like

=PROPER("don't")

Since Excel (tested 2010 English) also responds with "Don'T", I'm reducing the priority to low, and actually probably should be considered NOTABUG.
Comment 10 QA Administrators 2018-07-25 02:39:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug